Skip to main content
`Ctrl`+`K`
scipy.stats.mstats.

# idealfourths

scipy.stats.mstats.idealfourths(data, axis=None)

  Returns an estimate of the lower and upper quartiles.

  Uses the ideal fourths algorithm.

  Parameters:
    data array_like

      Input array.

    axis int, optional

      Axis along which the quartiles are estimated. If None, the arrays are flattened.

  Returns:
    idealfourths{list of floats, masked array}

      Returns the two internal values that divide data into four parts using the ideal fourths algorithm either along the flattened array (if axis is None) or along axis of data.